#!/usr/bin/sh

# ibus autostart script for Mageia

[ "$XDG_CURRENT_DESKTOP" = "GNOME" ] && exit 0
[ "$GTK_IM_MODULE" = "ibus" ] || exit 1

pgrep ibus-daemon > /dev/null 2>&1 && pkill ibus-daemon

if [ "$XDG_CURRENT_DESKTOP" = "KDE" ] && grep kimpanel "$HOME"/.config/plasma-org.kde.plasma.desktop-appletsrc
then
  ibus-daemon -x -d --panel=/usr/libexec/kimpanel-ibus-panel
else
  ibus-daemon -x -d
fi

pgrep uim-xim > /dev/null 2>&1 && pkill uim-xim


exit 0
